Emitted when a ConvergenceDomain is actively attempting to authenticate.

### Hierarchy

- AuthenticatingEvent

### Implements

- IConvergenceDomainEvent

## Index

### Properties

- domain
- method
- name
- NAME

## Properties

### domain

domain: ConvergenceDomain

Implementation of IConvergenceDomainEvent.domain

The domain on which this event occurred.

### method

method: AuthenticationMethod

The method of authentication that is being attempted.

### name

name: string = AuthenticatingEvent.NAME

Implementation of IConvergenceDomainEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### StaticNAME

NAME: "authenticating" = "authenticating"